<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.platform.mapper.PlatformSettingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="platformSettingResultMap" type="org.springblade.ldt.platform.entity.PlatformSetting">
        <id column="id" property="id"/>
        <result column="setting_key" property="settingKey"/>
        <result column="setting_value" property="settingValue"/>
    </resultMap>


    <select id="selectPlatformSettingPage" resultMap="platformSettingResultMap">
        select * from ldt_platform_setting where is_deleted = 0
    </select>

</mapper>
